.dropdown-toggle {
  @extend %flexbox;
  &:after {
    @extend %far;
    content: '\f107';
    border: none;
    @include size(32px);
    @include border-radius(50%);
    @extend %item-center;
    display: inline-flex;
  }
}

.btn-white {
  &.dropdown-toggle {
    &:after {
      background-color: rgba(27, 27, 27, 0.05);
    }
  }
}

.dropdown {
  &.show {
    .dropdown-toggle {
      background-color: $primary;
      border-color: $primary;
      &:after {
        background-color: #fff;
        color: $primary;
      }
      &.btn-white {
        background-color: #fff;
        border-color: #fff;
        color: $primary;
        font-weight: 700;
        &:after {
          background-color: #F4FAFF;
        }
      }
    }
  }
  .dropdown-menu {
    right: 0;
  }
}

.dropdown-style {
  .dropdown-toggle {
    &:after {
      background-color: transparent !important;
    }
  }

  &.show {
    .dropdown-toggle {
      background-color: #F4FAFF;
      box-shadow: 0 6px 20px rgba(0, 0, 0, 0.05);
    }
  }
}